<?php
$servicceMeta = $this->serviceMeta;
$serviceMetaTitle = $servicceMeta->title;
$serviceMetaDescription = $servicceMeta->description;
$publicTitle = $servicceMeta->publicTitle;
$publicDescription = $servicceMeta->publicDescription;
?>

<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('service-add-image', ['brandUrl' => $this->brand->url]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>

<div class="col-md-12 col-sm-12 text-center">
    <div class="topServices">
        
        <span class="pen">
            <?php if($this->userCanEditBrand){ ?>
                <li class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>
                    <ul class="dropdown-menu servicesPopup">
                        <div class="servicesPop">
                            <ul>
                                <li id="hideTitle" style="display:<?php echo ($publicTitle) ? '' : 'none'; ?>;">
                                    <a href="javascript: void(0);" class="hideServiceTitle" data-flag="0" onclick="makePublicOrNot(this, 'title');">
                                        <img src="/images/eye.png"><span>Hide title </span>
                                    </a>


                                     <a class="hideServiceTitle" href="javascript: void(0);" onclick="makeEditField('title');" id="edittitle" data-flag="0" >
                                        <img src="/images/eye.png"><span>Edit title</span>
                                    </a>
                                </li>
                                <li id="showTitle" style="display:<?php echo ($publicTitle) ? 'none' : ''; ?>;">
                                    <a href="javascript: void(0);" class="showServiceTitle" data-flag="1" onclick="makePublicOrNot(this, 'title');">
                                        <img src="/images/eye.png"><span>Show title </span>
                                    </a>

                                </li>
                        
                                
                                <li id="hideDescription" style="display:<?php echo ($publicDescription) ? '' : 'none'; ?>;"> 
                                    <a class="hideServiceDescription" href="javascript: void(0);" data-flag="0" onclick="makePublicOrNot(this, 'description');">
                                        <img src="/images/eye.png"><span>Hide description </span>
                                    </a>


                                     <a class="hideServiceDescription" href="javascript: void(0);" onclick="makeEditField('description');" id="editdesc" data-flag="0" >
                                        <img src="/images/eye.png"><span>Edit description</span>
                                    </a>
                                </li>
                                <li id="showDescription" style="display:<?php echo ($publicDescription) ? 'none' : ''; ?>;">
                                    <a class="showServiceDescription" href="javascript: void(0);" data-flag="1" onclick="makePublicOrNot(this, 'description');">
                                        <img src="/images/eye.png"><span>Show description </span>
                                    </a>

                                </li>
                            </ul>
                        </div>
                    </ul>
                </li>
            <?php } ?>
        </span>
        
        
        <div class="clear"></div>
        <div class="service_title_container" style="display: <?php echo ($publicTitle) ? '' : 'none'; ?>;">
            <?php if($this->userCanEditBrand){ ?>
                <div class="service_title_section" style="display: <?php echo !empty($serviceMetaTitle) ? "none" : ''; ?>;">
                    <input type="text" class="form-control service-head-title" id="serviceTitle"  value="<?php echo $serviceMetaTitle; ?> "  onblur="javascript: changeTitleOrDescription(this, 'title');">
                    <a href="javascript:void(0);" data-flag="0" onclick="javascript: makePublicOrNot(this, 'title');" class="hide_block title-hide"><i class="fa fa-times" aria-hidden="true"></i></a>

                </div>
                <div class="service_title_noedit" style="display: <?php echo empty($serviceMetaTitle) ? "none" : ''; ?>;">
                    <h3 id="titleDesc"><?php echo $serviceMetaTitle; ?></h3>
<!--                    <a href="javascript:void(0);" onclick="makeEditField('title');"><i class="fa fa-pencil" aria-hidden="true"></i></a>-->
                </div>
            <?php }else{ ?>
                <!--<div class="service-head-title-text"><?php //echo $brandName; ?></div>-->
                <h3 id="title"><?php echo $serviceMetaTitle; ?></h3>
            <?php } ?>
        </div>

        <div class="service_description_container" style="display: <?php echo ($publicDescription) ? '' : 'none'; ?>;">
            <?php if($this->userCanEditBrand){ ?>
                <div class="service_description_section" style="display: <?php echo !empty($serviceMetaDescription) ? "none" : ''; ?>;">
                    <textarea class="service-head-description" onblur="javascript: changeTitleOrDescription(this, 'description');" ><?php echo $serviceMetaDescription; ?></textarea>
                    <a href="javascript:void(0);" data-flag="0" onclick="javascript: makePublicOrNot(this, 'description');" class="hide_block description-hide"><i class="fa fa-times" aria-hidden="true"></i></a>
                </div>
                <div class="service_description_noedit" style="display: <?php echo empty($serviceMetaDescription) ? "none" : ''; ?>;">
                    <h5 id="description"><?php echo $serviceMetaDescription; ?></h5>
<!--                    <a href="javascript:void(0);" onclick="makeEditField('description');"><i class="fa fa-pencil" aria-hidden="true"></i></a>-->
                </div>
            <?php }else{ ?>
                    <!--<div class="service-head-description-text"><?php echo $brandDescription; ?></div>-->
                    <h5 id="description"><?php echo $serviceMetaDescription; ?></h5>
            <?php } ?>
        </div>

    </div>
    
    <div class="bottomServices">
    
        <?php if($this->userCanEditBrand){ ?>
        <div class="col-md-4 col-sm-4 center-it">
            <div class="services-circle">
                <a href="javascript:void(0);" id="add_service_box"><img src="/images/blue.png"></a>
                <h4>Service Name</h4>
                <h6>Service Description</h6>
            </div>
        </div>
        <div class="col-md-4 col-sm-4 center-it service_add_form" style="display:none;">
            <div class="service_content services-circle">
                <div class="service_image_box">
                    <div class="service_add_photo_icon" onclick="uploadImage('service');">
                        <span>
                            <i class="fa fa-picture-o fa-5x" aria-hidden="true"></i>
                        </span>
                    </div>
                    <div style="display:none;" data-type="service" class="upload-image-list-service editable small-image-section"></div>
                </div>
                <div class="service_add">
                    <div class="">
                        <input type="text" class="form-control service_add_title"  />
                    </div>
                    <div class="">
                        <textarea class="textarea-scrollbar scrollbar-outer service_add_description form-control" placeholder="A short service description" rows="3"></textarea>
                    </div>
                    <div class="">
                        <button class="btn btn-info pull-right" onclick="javascript: addServiceData();">Submit</button>
                    </div>
                </div>
            </div>
        </div>
        <?php } ?>
        
        <?php if(!empty($this->serviceList)){ ?>
            
            <?php foreach($this->serviceList as $singleService){ ?>
            
                <div id="feed_service_<?php echo $singleService->id; ?>" class="col-md-4 col-sm-4 center-it">
                    <div class="services-circle" id="display_service_<?php echo $singleService->id; ?>">
                        <?php if($this->userCanEditBrand){ ?>
                            
                            <span class="pen edit-service">
                                <li class="dropdown">
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                                        <i class="fa fa-pencil" aria-hidden="true"></i>
                                    </a>
                                    <ul class="dropdown-menu servicesPopup">
                                        <div class="servicesPop">
                                            <ul>
                                                <li>
                                                    <a href="javascript: void(0);" data-id="<?php echo $singleService->id; ?>" onclick="editServicePopup(this);"><span>Edit</span></a>
                                                </li>
                                                <li>
                                                    <a href="<?php echo $this->url("delete-service", ["serviceId" => $singleService->id]); ?>" onclick="javascript: deleteService($(this)); return false;" data-id="<?php echo $singleService->id; ?>">
                                                        <span>Delete</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </ul>
                                </li>
                            </span>
                            
                        <?php } ?>
                        <?php 
                            if($singleService->serviceImageData)
                            {
                                $serviceImage = json_decode($singleService->serviceImageData);
                            }
                        ?>
                        <?php if(empty($serviceImage)){ ?>
                            <img src="/images/circle-avatar.png">
                        <?php }else{ ?>
                            <div class="service-image-content">
                                <img src="<?php echo $serviceImage[0]->url; ?>">
                            </div>
                        <?php } ?>
                        <h4><?php echo $singleService->serviceTitle; ?></h4>
                        <h6>
                        <?php if(isset($singleService->serviceContentTrunc) && $singleService->serviceContentTrunc != ""){ ?>
                            <div id="trunc_description_<?php echo $singleService->id; ?>">
                                <?php echo $singleService->serviceContentTrunc; ?>
                                <a href="javascript:void(0);" class="read_action" onclick="javascript: showHideContent('show', '<?php echo $singleService->id; ?>');">more</a>
                            </div>
                            <div id="full_description_<?php echo $singleService->id; ?>" style="display:none;">
                                <?php echo $singleService->serviceContent; ?>
                                <a href="javascript:void(0);" class="read_action" onclick="javascript: showHideContent('hide', '<?php echo $singleService->id; ?>');">less</a>
                            </div>
                        <?php }else{ ?>
                            <div id="full_description_<?php echo $singleService->id; ?>">
                                <?php echo $singleService->serviceContent; ?>
                            </div>
                        <?php } ?>
                        </h6>
                    </div>
                </div>
        
            <?php } ?>
        <?php } ?>

    </div>
</div>
<div class="loading" style="display: none;">
    <p>Loading...</p>
</div>
<script type="text/javascript">
 var UploadedImagesListSelService = '.upload-image-list-service';
    
    window.onGloabalJS.push(function() {
        window.uploadImageSetStorageService = window.persistentVariableService("uploadImageSetService", new window.ImageSet([], UploadedImagesListSelService));
        if(window.uploadImageSetStorageService.get().type !== 'ImageSet') {
            window.uploadImageSetStorageService.set(new window.ImageSet([], UploadedImagesListSelService));
        }
        console.log("uploadImageSetService = ", window.uploadImageSetStorageService, window.uploadImageSetStorageService.get());
    });
    
    function removeImageClicked(el, type) {
        var $container = $(el).closest('.img-container');
        var $img = $('img', $container);
        var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
        function(response) {
            if(response) {
                removeImage($img.attr('src'), type);
            }
        }, "Delete", "Cancel");
    }

    function removeImage(img, type) {
        switch(type)
        {
            case 'service' : 
                    var imageSet = window.uploadImageSetStorageService.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorageService.set(imageSet);
                    
                    $('.upload-image-list-service').hide();
                    $('.service_add_photo_icon').show();
                    
                break;            
        }
    }
    
    function uploadImageToEditorService(img) {
        console.log(img);
        console.log('Upload Service image Service');
        var imageSetService = uploadImageSetStorageService.get();
        imageSetService.addImages([img]);
        window.uploadImageSetStorageService.set(imageSetService);
    }
    
    function uploadImage(type) {
        var handelClass = '.upload-image-list-'+type;
        window.imageSubmittedCallback = uploadImageToEditorService;
        
        $("#editorImageSubmitter").click();
    }
    
    function showHideContent(type, id)
    {
        if(type == 'show')
        {
            $('#trunc_description_'+id).hide();
            $('#full_description_'+id).slideDown('slow');
        }
        else
        {
            $('#full_description_'+id).hide();
            $('#trunc_description_'+id).slideDown('slow');
        }
    }
    
    function editServicePopup(obj)
    {
        var serviceId = $(obj).data('id');
        
        $('.loading').show(); 
        $('#serviceEditPopup').remove();
        ajaxSubmit('/$brandServicePopup/' + serviceId, {'serviceId' : serviceId}, function(data) {
                $('body').append(data);
                var img = $('.service_add #hdnserviceImage').val();
                
                var imageSet = window.uploadImageSetStorageService.get();
                
                var imageSetImages = imageSet.images;
                if(imageSetImages.length > 0)
                {
                    for(var o = 0; o < imageSetImages.length; o++)
                    {
                        removeImage(imageSetImages[0].url, 'service');
                    }
                }
                
                if(img != "")
                {
                    removeImage(img, 'service');
                    uploadImageToEditorService(img);
                }
                
                $('#serviceEditPopup').modal('show');
                $('.loading').hide(); 
        });
        
    }
    
    function deleteService($el)
    {
        var response = confirm("Do you really want to delete this service?\nThis cannot be undone!");
            if(response) {
                $el.blur();
                $('.loading').show();   
                
                ajaxSubmit($el.attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#feed_service_'+$el.data('id')).hide('slow', function(){ $(this).remove();  });
                    $('.loading').hide();   
                }
            });
            return false;
            }
    }
    
    function changeTitleOrDescription(obj, type)
    {
        var content = $(obj).val().trim();
        
//        if(content == "" && content.length < 1)
//        {
//            alert("Please fill in the "+type+" before submitting.");
//            return;
//        }
        
        ajaxSubmit('<?= $this->url('manage-service-meta', ['brandUrl' => $this->brand->url]) ?>', {
            'content': content,
            'type': type,
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured. " + error);
                }else{
                    console.log(type+" submitted", data);
                    var serviceMeta = data.serviceMeta;
                    
                    jQuery('.service_title_noedit h3').html(serviceMeta.title);
                    jQuery('.service_title_section .service-head-title').val(serviceMeta.title);
                    jQuery('.service_description_noedit h5').html(serviceMeta.description);
                    jQuery('.service_description_section .service-head-description').val(serviceMeta.description);
                    
                    jQuery('.service_'+type+'_noedit').show();
//                    jQuery('.service_'+type+'_noedit h5').show();
                    jQuery('.service_'+type+'_container .service_'+type+'_section').hide();
                    
                    var updatedHtml = '<div class="updated update-container">'+type+' updated successfully.</div>';
                    $(obj).parent().append(updatedHtml);
                    setTimeout(function() {
                        if($('.update-container').length > 0)
                        {
                            $('.update-container').remove();
                        }
                   }, 2000);
                }
        });
    }
    
    function makePublicOrNot(obj, type)
    {
        var plublicType = 'public_'+type;
        var flag = $(obj).data('flag');
        
        var ele = $('.service-head-'+type); 
        ajaxSubmit('<?= $this->url('manage-service-meta', ['brandUrl' => $this->brand->url]) ?>', {
            'content': flag,
            'type': plublicType,
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    alert("An error has occured. " + error);
                }else{
                    if(flag == 0)
                    {
/*                        $(ele).parent().slideUp('slow');*/
                        /*jQuery('.service_'+type+'_section').hide();
                        jQuery('.service_'+type+'_noedit').slideUp('slow');*/
                        jQuery('.service_'+type+'_container').slideUp('slow');
                        switch(type)
                        {
                            case 'title' :
                                    $('.showServiceTitle').parent('li').show();
                                    $('.hideServiceTitle').parent('li').hide();

                                break;
                            case 'description' :
                                    $('.showServiceDescription').parent('li').show();
                                    $('.hideServiceDescription').parent('li').hide();
                                break;
                        }
                    }
                    else
                    {
/*                        $(ele).parent().slideDown('slow');*/
                        /*jQuery('.service_'+type+'_section').hide();
                        jQuery('.service_'+type+'_noedit').show('slow');*/
                        jQuery('.service_'+type+'_container').slideDown('slow');
                        switch(type)
                        {
                            case 'title' :
                                    $('.hideServiceTitle').parent('li').show();
                                    $('.showServiceTitle').parent('li').hide();
                                break;
                            case 'description' :
                                    $('.hideServiceDescription').parent('li').show();
                                    $('.showServiceDescription').parent('li').hide();
                                break;
                        }
                    }
                }
        });
    }

    function makeEditField(type)
    {
        jQuery('.service_'+type+'_noedit').hide();
        jQuery('.service_'+type+'_section').show();
    }
    
window.onload = function() {
    
    $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
                }
            }
        });
        
        $(document).on('click', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
                }
            }
        });
        
     jQuery('#add_service_box').click(function(){
       if(jQuery('.service_add_form').is(":hidden"))
       {
           jQuery('.service_add_form').show('slow');
       }
       else
       {
           jQuery('.service_add_form').hide('slow');
       }
   });
   
   if($('.service_container .upload-image-list-service div.img-row').length > 0)
    {
        $('.service_container .upload-image-list-service').show();
        $('.service_container .service_add_photo_icon').hide();
    }


   // .service_title_container

    var str = $( "#titleDesc" ).text();

    if(str.length<25) {
        $('#titleDesc').css('fontSize','60px');
    }

    if(str.length<50 && str.length>=25) {
        $('#titleDesc').css('fontSize','40px');
    }

    if(str.length>=50) {
        $('#titleDesc').css('fontSize','30px');
    }




    $('#edittitle').click(function (){
        var title=$('.service_title_section .form-control.service-head-title');
        var val=title.attr('value');
        title.val(val);
        title.focus();
    });

    $('#editdesc').click(function(){
        var desc=$('.service_description_section .service-head-description');
        var val=desc.val();
        desc.text(val);
        desc.focus();
    });



}
</script>
